# Event Tickets | TEC Tech Docs
Source: https://docs.theeventscalendar.com/product/event-tickets/

# tec_tickets_seating_seat_selection_timer

Plugin: Event Tickets

Action Hook: Render the seat selection timer.

# tec_tickets_commerce_is_free_ticket_allowed()

Plugin: Event Tickets

Function: Checks if the free ticket is allowed.

# tribe_tickets_commerce_order_actions_box_start

Plugin: Event Tickets

Action Hook: Fires at the beginning of the publishing actions section of the Actions meta box.

# Tribe__Tickets__Tickets::filter_admin_tickets_table_provider_info()

Plugin: Event Tickets

Method: Filter provider information for the admin tickets table.

# Tribe__Tickets__Tickets::add_admin_tickets_hooks()

Plugin: Event Tickets

Method: Add all the hooks for the Admin Tickets page.

# Tribe__Tickets__RSVP::add_admin_tickets_hooks()

Plugin: Event Tickets

Method:

# Tribe__Tickets__Global_Stock::update_stock_level_on_move()

Plugin: Event Tickets

Method: When moving attendees between tickets or tickets between events and the source is not managing its own stock, we need to update the global stock.

# Tribe__Tickets__Main::should_autoload()

Plugin: Event Tickets

Method: Handles the soft-disabling of the plugin if requirements are not met.

# tec_tickets_qr_checkin_attendee_data

Plugin: Event Tickets

Filter Hook: Filters the Attendee data for the QR check-in.

# Tribe__Tickets__Commerce__PayPal__Main::add_admin_tickets_hooks()

Plugin: Event Tickets

Method:
